org.keycloak.authentication.authenticators.browser

## Class AbstractUsernameFormAuthenticator

- java.lang.Object
- - org.keycloak.authentication.AbstractFormAuthenticator
  - - org.keycloak.authentication.authenticators.browser.AbstractUsernameFormAuthenticator

- All Implemented Interfaces:
    Authenticator, Provider
  Direct Known Subclasses:
    OTPFormAuthenticator, SpnegoAuthenticator, UsernamePasswordForm

      public abstract class AbstractUsernameFormAuthenticator
      extends AbstractFormAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTEMPTED_USERNAME`
    `static String` | `REGISTRATION_FORM_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUsernameFormAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(AuthenticationFlowContext context)` Called from a form action invocation.
    `protected javax.ws.rs.core.Response` | `disabledUser(AuthenticationFlowContext context)`
    `boolean` | `enabledUser(AuthenticationFlowContext context, UserModel user)`
    `protected javax.ws.rs.core.Response` | `invalidCredentials(AuthenticationFlowContext context)`
    `protected javax.ws.rs.core.Response` | `invalidUser(AuthenticationFlowContext context)`
    `boolean` | `invalidUser(AuthenticationFlowContext context, UserModel user)`
    `protected javax.ws.rs.core.Response` | `setDuplicateUserChallenge(AuthenticationFlowContext context, String eventError, String loginFormError, AuthenticationFlowError authenticatorError)`
    `protected javax.ws.rs.core.Response` | `temporarilyDisabledUser(AuthenticationFlowContext context)`
    `boolean` | `validatePassword(AuthenticationFlowContext context, UserModel user, javax.ws.rs.core.MultivaluedMap<String,String> inputData)`
    `boolean` | `validateUserAndPassword(AuthenticationFlowContext context, javax.ws.rs.core.MultivaluedMap<String,String> inputData)`

    - ### Methods inherited from class org.keycloak.authentication.AbstractFormAuthenticator

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authentication.Authenticator

      `authenticate, configuredFor, requiresUser, setRequiredActions`

- - ### Field Detail

    - #### REGISTRATION_FORM_ACTION

          public static final String REGISTRATION_FORM_ACTION

      See Also:
        Constant Field Values

    - #### ATTEMPTED_USERNAME

          public static final String ATTEMPTED_USERNAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractUsernameFormAuthenticator

          public AbstractUsernameFormAuthenticator()

  - ### Method Detail

    - #### action

          public void action(AuthenticationFlowContext context)

      Description copied from interface: `Authenticator`
      Called from a form action invocation.

    - #### invalidUser

          protected javax.ws.rs.core.Response invalidUser(AuthenticationFlowContext context)

    - #### disabledUser

          protected javax.ws.rs.core.Response disabledUser(AuthenticationFlowContext context)

    - #### temporarilyDisabledUser

          protected javax.ws.rs.core.Response temporarilyDisabledUser(AuthenticationFlowContext context)

    - #### invalidCredentials

          protected javax.ws.rs.core.Response invalidCredentials(AuthenticationFlowContext context)

    - #### setDuplicateUserChallenge

          protected javax.ws.rs.core.Response setDuplicateUserChallenge(AuthenticationFlowContext context,
                                                                        String eventError,
                                                                        String loginFormError,
                                                                        AuthenticationFlowError authenticatorError)

    - #### invalidUser

          public boolean invalidUser(AuthenticationFlowContext context,
                                     UserModel user)

    - #### enabledUser

          public boolean enabledUser(AuthenticationFlowContext context,
                                     UserModel user)

    - #### validateUserAndPassword

          public boolean validateUserAndPassword(AuthenticationFlowContext context,
                                                 javax.ws.rs.core.MultivaluedMap<String,String> inputData)

    - #### validatePassword

          public boolean validatePassword(AuthenticationFlowContext context,
                                          UserModel user,
                                          javax.ws.rs.core.MultivaluedMap<String,String> inputData)

Copyright © 2016 JBoss by Red Hat. All rights reserved.